--
-- $Id$
--
-- Post-importscript voor alléén UWVA Acceptatie, dus ter uitvoering van de
-- vereiste (AVG-)stappen in deze specifieke omgeving!

DEFINE thisfile = 'POST-IMP_UWVA_ACCP.SQL'
DEFINE dbuser   = '^UWVA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- UWVA#53857: Groep aanmaken met alléén WEB_USER50-rechten met key=497, die
--             vervolgens toegekend wordt aan alle personen in Infobeheer met
--             key=1 en _Admin met key=762.
--             Tevens wordt SSO-toegang via de Identity Providers beperkt tot
--             alleen personen met WEB_USER50-rechten.
DECLARE
   v_groep_key   NUMBER (10) := NULL;
BEGIN
   INSERT INTO fac_groep (fac_groep_omschrijving)
       VALUES ('Toegang Acceptatie')
    RETURNING fac_groep_key
         INTO v_groep_key;

   INSERT INTO fac_groeprechten (fac_groep_key,
                                 fac_functie_key,
                                 ins_discipline_key,
                                 fac_gebruiker_prs_level_read,
                                 fac_gebruiker_alg_level_read,
                                 fac_gebruiker_prs_level_write,
                                 fac_gebruiker_alg_level_write)
       VALUES (v_groep_key,
               497,
               NULL,
               -1,
               -1,
               -1,
               -1);

   INSERT INTO fac_gebruikersgroep (fac_groep_key, prs_perslid_key)
        SELECT DISTINCT v_groep_key, prs_perslid_key
          FROM fac_gebruikersgroep
         WHERE fac_groep_key IN (1, 762)
      ORDER BY 2;

   UPDATE aut_idp
      SET fac_functie_key = 497;
END;
/

-- Header prefix etc: worden ingesteld door /cust/custenv.wsc

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
quit
